Name: ipsec-tools
Version: 0.6.5
Release: 14%{?dist}.5
Summary: Tools for configuring and using IPSEC
License: BSD
Group: System Environment/Base
URL: http://ipsec-tools.sourceforge.net/
Source: http://prdownload.sourceforge.net/ipsec-tools/ipsec-tools-%{version}.tar.bz2
Source1: ipsec.h
Source2: pfkeyv2.h
Source3: racoon.conf
Source4: psk.txt
Source5: xfrm.h
Source6: udp.h
Patch2: isakmp.c.diff
Patch5: ipsec-tools-0.5-64bit.patch
#Patch6: ipsec-tools-0.6.1-openssl-098.patch
Patch7: ipsec-tools-0.6.5-mls.patch
Patch8: ipsec-tools-0.6.5-pre6.patch
Patch9: racoon-lspp-ipsec.patch
Patch10: ipsec-tools-0.6.5-ctx.patch
Patch11: ipsec-tools-0.6.5-acquires.patch
Patch12: ipsec-tools-0.6.5-loopback.patch
Patch13: ipsec-tools-0.6.5-CVE-2007-1841.patch
Patch14: ipsec-tools-0.6.5-timer-segfault.patch
Patch15: ipsec-tools-0.6.5-dpd-fixes.patch
Patch16: ipsec-tools-0.6.5-natt-linux.patch
Patch17: ipsec-tools-0.6.5-check-rtsock.patch
Patch18: ipsec-tools-0.6.5-plog.patch
Patch19: ipsec-tools-0.6.5-adminsock.patch
Patch20: ipsec-tools-0.6.5-leaks.patch
Patch21: ipsec-tools-0.6.5-pie.patch
Patch22: ipsec-tools-0.6.5-nul-deref.patch
Patch23: ipsec-tools-0.6.5-pfkey2.patch
Patch24: ipsec-tools-0.6.5-keepsa.patch
Patch25: ipsec-tools-0.6.5-sp-matching.patch
Patch26: ipsec-tools-0.6.5-pfkey-bufsize.patch
Patch27: ipsec-tools-0.6.5-ph1-null.patch
Patch28: ipsec-tools-0.6.5-pfkey-nodecrease.patch

BuildRequires: openssl-devel, krb5-devel, bison, flex, automake, libtool
BuildRequires: libselinux-devel >= 1.30.28-2
BuildRequires: audit-libs-devel >= 1.3.1
BuildRequires: kernel-headers >= 2.6.18-92
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: initscripts >= 7.31.11.EL-1
	
%description
This is the IPsec-Tools package.  You need this package in order to
really use the IPsec functionality in the linux-2.5+ kernels.  This
package builds:
 
	- setkey, a program to directly manipulate policies and SAs
	- racoon, an IKEv1 keying daemon

%prep
%setup -q
%patch2 -p1
%patch5 -p1 -b .64bit
#%patch6 -p1 -b .openssl-098
%patch7 -p1 -b .mls
%patch8 -p1 -b .pre6
%patch9 -p1 -b .sctx
%patch10 -p1 -b .hctx
%patch11 -p1 -b .acquires
%patch12 -p1 -b .loopback
%patch13 -p0 -b .CVE-2007-1841
%patch14 -p1 -b .timer
%patch15 -p1 -b .dpd-fixes
%patch16 -p1 -b .natt-linux
%patch17 -p1 -b .check-rtsock
%patch18 -p1 -b .plog
%patch19 -p1 -b .adminsock
%patch20 -p1 -b .leaks
%patch21 -p1 -b .pie
%patch22 -p1 -b .nul-deref
%patch23 -p1 -b .pfkey2
%patch24 -p1 -b .keepsa
%patch25 -p1 -b .sp-matching
%patch26 -p1 -b .bufsize
%patch27 -p1 -b .ph1-null
%patch28 -p1 -b .nodecrease

# We now use headers from the current kernel
#mkdir -p kernel-headers/linux
#cp %{SOURCE1} %{SOURCE2} %{SOURCE5} %{SOURCE6} kernel-headers/linux
./bootstrap

%build
sed -i 's|-Werror||g' configure
LDFLAGS="-Wl,--as-needed"
export LDFLAGS
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %configure \
 --with-kernel-headers=/usr/include \
 --sysconfdir=/etc/racoon \
 --without-readline \
 --enable-adminport \
 --enable-hybrid \
 --enable-frag \
 --enable-dpd \
 --enable-gssapi \
 --enable-natt \
 --enable-security-context \
 --enable-racoon-over-loopback \
 --enable-audit
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/racoon
make install DESTDIR=$RPM_BUILD_ROOT
# no devel stuff for now
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libipsec.{a,la} \
      $RPM_BUILD_ROOT/%{_libdir}/libracoon.{a,la} \
      $RPM_BUILD_ROOT/%{_includedir} \
      $RPM_BUILD_ROOT/%{_mandir}/man3

install -m 600 %{SOURCE3} \
  $RPM_BUILD_ROOT/etc/racoon/racoon.conf
install -m 600 %{SOURCE4} \
  $RPM_BUILD_ROOT/etc/racoon/psk.txt

mv $RPM_BUILD_ROOT%{_sbindir}/setkey $RPM_BUILD_ROOT/sbin

mkdir -m 0700 -p $RPM_BUILD_ROOT/etc/racoon/certs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc src/racoon/samples/racoon.conf src/racoon/samples/psk.txt
%doc src/racoon/doc/FAQ
%doc ChangeLog NEWS README
/sbin/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir /etc/racoon
%dir /etc/racoon/certs
%dir /var/racoon
%config(noreplace) /etc/racoon/psk.txt
%config(noreplace) /etc/racoon/racoon.conf

%changelog
* Wed Aug 29 2012 Tomas Mraz <tmraz@redhat.com> - 0.6.5-14.5
- do not dereference ph1 when it might be NULL
- increase the default pfkey socket buffer size and never decrease it

* Fri Aug 20 2010 Tomas Mraz <tmraz@redhat.com> - 0.6.5-14.4
- improve the pfkey socket buffer size setting (#607361)

* Mon Jun 28 2010 Tomas Mraz <tmraz@redhat.com> - 0.6.5-14.3
- fix non-exact policy matching (#606904)
- make pfkey socket buffer size configurable (#607361)

* Tue Jun  8 2010 Tomas Mraz <tmraz@redhat.com> - 0.6.5-14.2
- use separate pfkey socket for sadb dumps (#590783)
- do not delete phase 2 SAs when phase 1 delete notification is received (#599115)

* Tue May  5 2009 Tomas Mraz <tmraz@redhat.com> - 0.6.5-14
- fix nul dereference in frag code and some memory leaks (#497990)

* Mon Sep  1 2008 Tomas Mraz <tmraz@redhat.com> - 0.6.5-13
- also do not destroy ports in ph2 (#231604)

* Wed Aug 27 2008 Tomas Mraz <tmraz@redhat.com> - 0.6.5-12
- improved fix for cleanup of IPSEC SAs in SADB (#231604)

* Wed Aug 13 2008 Tomas Mraz <tmraz@redhat.com> - 0.6.5-11
- fix cleanup of IPSEC SAs in SADB (#231604)
- fix segfault in timer (#378551)
- handle new interfaces immediately (#247301)
- eliminate debug logging overhead when log level is lower (#248567)
- use the adminsock_path as specified on the command line (#247294)
- link only necessary libraries (#458631)
- make racoon PIE executable (#210023)
- fix for DoS through various memory leaks (CVE-2008-3651 #456660,
  CVE-2008-3652 #458846)

* Thu May 29 2008 Tomas Mraz <tmraz@redhat.com> - 0.6.5-10
- use the current kernel headers instead of the private copy (#446979)

* Wed Apr 2 2008 Linda Wang <lwang@redhat.com> - 0.6.5-9
- Resolves: rhbz#435803 - update pfkeyv2.h with new #defines

* Mon Apr 23 2007 Steve Grubb <sgrubb@redhat.com> - 0.6.5-8
- Upstream fix for Racoon DOS, informational delete must be encrypted
- Resolves: rhbz#235388 - CVE-2007-1841 ipsec-tools racoon DoS

* Fri Apr 20 2007 Steve Grubb <sgrubb@redhat.com> - 0.6.5-7
- Resolves: #218386 labeled ipsec does not work over loopback

* Mon Apr 16 2007 Steve Grubb <sgrubb@redhat.com> - 0.6.5-6.6
- Related: #232508 add auditing to racoon

* Sat Apr 14 2007 Steve Grubb <sgrubb@redhat.com> - 0.6.5-6.5
- Resolves: #235680 racoon socket descriptor exhaustion

* Thu Apr 12 2007 Steve Grubb <sgrubb@redhat.com> - 0.6.5-6.4
- Resolves: #236121 increase buffer for context

* Tue Apr 10 2007 Steve Grubb <sgrubb@redhat.com> - 0.6.5-6.3
- Resolves: #234491 kernel sends ACQUIRES that racoon is not catching
- Resolves: #218386 labeled ipsec does not work over loopback

* Tue Mar 20 2007 Harald Hoyer <harald@redhat.com> - 0.6.5-6.2%{?dist}
- fix for setting the security context into a proposal (32<->64bit)
- Resolves: rhbz#232508

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.6.5-6
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 25 2006 Harald Hoyer <harald@redhat.com> - 0.6.5-5
- added patch for selinux integration (bug #207159)

* Fri Aug  4 2006 Harald Hoyer <harald@redhat.com> - 0.6.5-4
- backport of important 0.6.6 fixes:
  - sets NAT-T ports to 0 if no NAT encapsulation
  - fixed memory leak

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.6.5-3.1
- rebuild

* Wed Jun 21 2006 Harald Hoyer <harald@redhat.com> - 0.6.5-3
- more build requirements

* Tue Apr 18 2006 Dan Walsh <dwalsh@redhat.com> - 0.6.5-2
- Fix patch to build MLS Stuff correctly

* Tue Apr 18 2006 Dan Walsh <dwalsh@redhat.com> - 0.6.5-1
- Update to latest upstream version
- Add MLS Patch to allow use of labeled networks
- Patch provided by Joy Latten <latten@austin.ibm.com>

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.4-1.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Harald Hoyer <harald@redhat.com> 0.6.4-1
- version 0.6.4

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6.3-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec 05 2005 Harald Hoyer <harald@redhat.com> 0.6.3-1
- version 0.6.3, which contains fixes for various DoS problems

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 0.6.1-2
- rebuilt against new openssl

* Wed Oct 12 2005 Harald Hoyer <harald@redhat.com> 0.6.1-1
- version 0.6.1

* Mon Mar 28 2005 Bill Nottingham <notting@redhat.com> 0.5-4
- fix 64-bit issue in setph1attr() (<aviro@redhat.com>)

* Mon Mar 14 2005 Bill Nottingham <notting@redhat.com> 0.5-3
- add patch for DoS (CAN-2005-0398, #145532)

* Sat Mar  5 2005 Uwe Beck <ubeck@c3pdm.com> 0.5-2
- now racoon use /etc/racoon/racoon.conf as default
- add the /var/racoon directory for racoon.sock

* Wed Feb 23 2005 Bill Nottingham <notting@redhat.com> 0.5-1
- update to 0.5

* Thu Nov  4 2004 Bill Nottingham <notting@redhat.com> 0.3.3-2
- don't use new 0.3.3 handling of stdin in setkey; it breaks the
  format (#138105)

* Mon Sep 27 2004 Bill Nottingham <notting@redhat.com> 0.3.3-1
- update to 0.3.3 (#122211)

* Sun Aug 08 2004 Alan Cox <alan@redhat.com> 0.2.5-6
- fix buildreqs (Steve Grubb)

* Mon Jun 28 2004 Nalin Dahyabhai <nalin@redhat.com> 0.2.5-5
- rebuild

* Fri Jun 25 2004 Nalin Dahyabhai <nalin@redhat.com> 0.2.5-4
- backport certificate validation fixes from 0.3.3 (#126568)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Bill Nottingham <notting@redhat.com> - 0.2.5-2
- add patch for potential remote DoS (CAN-2004-0403)

* Tue Apr  6 2004 Bill Nottingham <notting@redhat.com>
- update to 0.2.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 23 2004 Bill Nottingham <notting@redhat.com>
- update to 0.2.4, fix racoon install location (#116374, <kajtzu@fi.basen.net>)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  8 2003 Bill Nottingham <notting@redhat.com> 0.2.2-8
- rebuild

* Fri Aug 29 2003 Bill Nottingham <notting@redhat.com> 0.2.2-7
- add fix for #103238

* Tue Aug  5 2003 Bill Nottingham <notting@redhat.com> 0.2.2-6
- update kernel interface bits, rebuild against them

* Tue Jul 29 2003 Bill Nottingham <notting@redhat.com> 0.2.2-5
- rebuild

* Wed Jul  2 2003 Bill Notitngham <notting@redhat.com> 0.2.2-4
- ship a much more pared-down racoon.conf and psk.txt

* Thu Jun  5 2003 Bill Notitngham <notting@redhat.com> 0.2.2-3
- update pfkey header for current kernels

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May  2 2003 Bill Nottingham <notting@redhat.com> 0.2.2-1
- update to 0.2.2

* Fri Mar  7 2003 Bill Nottingham <notting@redhat.com>
- initial build
